Name:          artemis-wildfly-integration
Version:       1.0.2
Release:       5%{?dist}
Summary:       ActiveMQ Artemis WildFly Integration
# ASL 2.0: ./src/main/java/org/jboss/activemq/artemis/wildfly/integration/recovery/WildFlyRecoveryDiscovery.java
# ./src/main/java/org/jboss/activemq/artemis/wildfly/integration/recovery/WildFlyActiveMQXAResourceRecovery.java
# ./src/main/java/org/jboss/activemq/artemis/wildfly/integration/recovery/WildFlyActiveMQLogger.java
# ./src/main/java/org/jboss/activemq/artemis/wildfly/integration/recovery/WildFlyActiveMQRegistry.java
# ./src/main/java/org/jboss/activemq/artemis/wildfly/integration/recovery/WildFlyActiveMQRecoveryRegistry.java
# ./src/main/java/org/jboss/activemq/artemis/wildfly/integration/WildFlyActiveMQXAResourceWrapper.java
# ./src/main/java/org/jboss/activemq/artemis/wildfly/integration/WildFlyActiveMQXAResourceWrapperFactory.java
# LGPLv2: ./src/main/java/org/jboss/activemq/artemis/wildfly/ActiveMQJBossLogger.java
# ./src/main/java/org/jboss/activemq/artemis/wildfly/security/SecurityActions.java
# ./src/main/java/org/jboss/activemq/artemis/wildfly/security/AS4SecurityActions.java
# ./src/main/java/org/jboss/activemq/artemis/wildfly/security/JBossASSecurityManager.java
# ./src/main/java/org/jboss/activemq/artemis/wildfly/transactions/WildFlyTransactionManagerLocator.java
License:       ASL 2.0 and LGPLv2+
URL:           https://github.com/rh-messaging/artemis-wildfly-integration
Source0:       https://github.com/rh-messaging/artemis-wildfly-integration/archive/%{version}/%{name}-%{version}.tar.gz
# https://github.com/rh-messaging/artemis-wildfly-integration/issues/19
Patch0:        https://github.com/rh-messaging/artemis-wildfly-integration/commit/2040cd0fc42ca62583549bed2285561b222c197e.patch

BuildRequires: maven-local
BuildRequires: mvn(org.apache.activemq:artemis-server)
BuildRequires: mvn(org.apache.activemq:artemis-service-extensions)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss:jboss-transaction-spi)
BuildRequires: mvn(org.jboss.ironjacamar:ironjacamar-core-api)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor:1)
BuildRequires: mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires: mvn(org.jboss.narayana.jta:jta)
BuildRequires: mvn(org.picketbox:jbosssx-bare)

BuildArch:     noarch

%description
Java library to integrate ActiveMQ Artemis with WildFly.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%pom_remove_dep org.jboss.integration:jboss-transaction-spi
%pom_remove_dep org.jboss.security:jboss-security-spi

# cannot find symbol: org.jboss.security.SecurityAssociation
rm src/main/java/org/jboss/activemq/artemis/wildfly/security/AS4SecurityActions.java
sed -i '/AS4SecurityActions/d' src/main/java/org/jboss/activemq/artemis/wildfly/security/JBossASSecurityManager.java

%pom_change_dep :jbosssx org.picketbox:jbosssx-bare
%pom_change_dep :jbossjts-jacorb org.jboss.narayana.jta:jta

%pom_change_dep :jboss-logging-processor ::1

%build

# Test skipped for unavailable test deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jun 10 2016 gil cattaneo <puntogil@libero.it> 1.0.2-1
- initial rpm

